/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.builders;

import org.ovirt.engine.sdk4.internal.containers.BiosContainer;
import org.ovirt.engine.sdk4.types.Bios;
import org.ovirt.engine.sdk4.types.BootMenu;

public class BiosBuilder {
    private BootMenu bootMenu;
    
    public BiosBuilder bootMenu(BootMenu newBootMenu) {
        bootMenu = newBootMenu;
        return this;
    }
    
    public BiosBuilder bootMenu(BootMenuBuilder newBootMenu) {
        if (newBootMenu == null) {
            bootMenu = null;
        }
        else {
            bootMenu = newBootMenu.build();
        }
        return this;
    }
    
    
    public Bios build() {
        BiosContainer container = new BiosContainer();
        container.bootMenu(bootMenu);
        return container;
    }
}
